## org.apache.mahout.math.hadoop.decomposer
Class EigenVector

    java.lang.Object
      org.apache.mahout.math.NamedVector
          org.apache.mahout.math.hadoop.decomposer.EigenVector

All Implemented Interfaces:
  Cloneable, Vector

    public class EigenVector

extends NamedVector

TODO this is a horrible hack. Make a proper writable subclass also.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.mahout.math.Vector
`Vector.Element`

Constructor Summary
`EigenVector(Vector v, double eigenValue, double cosAngleError, int order)`

Method Summary
`double` `getCosAngleError()`
`static double` `getCosAngleError(CharSequence name)`
`double` `getEigenValue()`
`static double` `getEigenValue(CharSequence name)`
`int` `getIndex()`
`static int` `getIndex(CharSequence name)`
`protected double[]` `parseMetaData()`
`static double[]` `parseMetaData(CharSequence name)`

Methods inherited from class org.apache.mahout.math.NamedVector

`aggregate, aggregate, all, asFormatString, assign, assign, assign, assign, assign, assign, clone, cross, divide, dot, equals, get, getDelegate, getDistanceSquared, getElement, getIteratorAdvanceCost, getLengthSquared, getLookupCost, getName, getNumNondefaultElements, getNumNonZeroElements, getQuick, hashCode, incrementQuick, isAddConstantTime, isDense, isSequentialAccess, like, logNormalize, logNormalize, maxValue, maxValueIndex, mergeUpdates, minus, minValue, minValueIndex, nonZeroes, norm, normalize, normalize, plus, plus, set, setQuick, size, times, times, toString, viewPart, zSum`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EigenVector

    public EigenVector(Vector v,
                       double eigenValue,
                       double cosAngleError,
                       int order)

Method Detail

### getEigenValue

    public double getEigenValue()

### getCosAngleError

    public double getCosAngleError()

### getIndex

    public int getIndex()

### getEigenValue

    public static double getEigenValue(CharSequence name)

### getCosAngleError

    public static double getCosAngleError(CharSequence name)

### getIndex

    public static int getIndex(CharSequence name)

### parseMetaData

    public static double[] parseMetaData(CharSequence name)

### parseMetaData

    protected double[] parseMetaData()

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.